MKFS(8)

NUME
mkfs - construiește un sistem de fișiere Linux

REZUMAT

mkfs [opțiuni] [-t tip] [opțiuni-sistem-fișiere] dispozitiv [dimensiunea]

DESCRIERE

Această interfață mkfs este depreciată în favoarea utilităților specifice sistemului de fișiere mkfs.<tip>.

mkfs este utilizat pentru a crea un sistem de fișiere Linux pe un dispozitiv, de obicei o partiție de disc dur. Argumentul dispozitiv este fie numele dispozitivului (de exemplu, /dev/hda1, /dev/sdb2), fie un fișier obișnuit care va conține sistemul de fișiere. Argumentul dimensiunea este numărul de blocuri care urmează să fie utilizate pentru sistemul de fișiere.

Starea de ieșire returnată de mkfs este 0 în caz de succes și 1 în caz de eșec.

În realitate, mkfs este pur și simplu o interfață pentru diversele sisteme de fișiere (mkfs.tip-sistem-fișiere) disponibile în Linux. Constructorul specific sistemului de fișiere este căutat doar prin intermediul opțiunii de mediu PATH. Pentru mai multe detalii, consultați paginile de manual ale constructorului specific sistemului de fișiere.

OPȚIUNI

-t, --type tip
    Specifică tipul de sistem de fișiere care urmează să fie construit. Dacă nu este specificat, se utilizează tipul de sistem de fișiere implicit (în prezent ext2).

opțiuni-sistem-fișiere
    Opțiuni specifice sistemului de fișiere care urmează să fie transmise constructorului sistemului de fișiere real.

-V, --verbose
    Produce o ieșire descriptivă, inclusiv toate comenzile specifice sistemului de fișiere care sunt executate. Dacă se specifică această opțiune de mai multe ori, se inhibă executarea oricăror comenzi specifice sistemului de fișiere. Această opțiune este utilă doar pentru testare.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese. (Opțiunea -V va afișa informații despre versiune numai atunci când este singurul parametru, altfel va funcționa ca --verbose).

ERORI

Toate opțiunile generice trebuie să preceadă și să nu fie combinate cu opțiunile specifice sistemului de fișiere. Unele programe specifice sistemului de fișiere nu detectează automat dimensiunea dispozitivului și necesită specificarea parametrului dimensiunea.

AUTORI

Pagina de manual a fost adaptată fără rușine de la versiunea lui Remy Card pentru sistemul de fișiere ext2.

CONSULTAȚI ȘI

fs(5), badblocks(8), fsck(8), mkdosfs(8), mke2fs(8), mkfs.bfs(8), mkfs.ext2(8), mkfs.ext3(8), mkfs.ext4(8), mkfs.minix(8), mkfs.msdos(8), mkfs.vfat(8), mkfs.xfs(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda mkfs face parte din pachetul util-linux care poate fi descărcat de la